statistics API

Last updated:2025-08-04
Expand all
statistics API

Overview

JPush Report API V3 provides various statistical data query functions.

Calling address

https://report.jpush.cn/v3

Call verification

For details, see REST API Outlined Authentication method illustrate.

Delivery statistics details

Received API by msg_id as a parameter to get the msg_id delivery statistics.
if once API There are many objects when calling push (such as broadcast push), then this API The returned statistics will continue to increase as clients continue to be delivered.

This interface will pass according to the messageJiguangDistributed through its own channels,AndroidThe manufacturer channel delivers data statistics for differentiation. It is recommended to switch to this interface as soon as possible.

Calling address

GET /v3/received/detail

Request example

curl -v https://report.jpush.cn/v3/received/detail?msg_ids=1613113584,1229760629 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1" < GET /v3/received/detail?msg_ids=1613113584,1229760629 HTTP/1.1 < Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==
          curl -v https://report.jpush.cn/v3/received/detail?msg_ids=1613113584,1229760629 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1"

< GET /v3/received/detail?msg_ids=1613113584,1229760629 HTTP/1.1
< Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==

        
This code block is shown in the floating window

Request Parameters

  • msg_ids Push API returned msg_id list, multiple msg_id Separated by commas, up to 100 indivual msg_id。
  • Only push information within 28 days can be queried.

Return example

< HTTP/1.1 200 OK < Content-Type: application/json < [ {"msg_id":"1613113584", "jpush_received":62, "android_pns_sent":12, "android_pns_received":12, "ios_apns_sent":11, "ios_apns_received":5, "ios_msg_received": 3, "live_acivity_sent":0, "live_acivity_received":0, "wp_mpns_sent" : 3, "quickapp_jpush_received":1, "quickapp_pns_sent": 1, "hmos_hmpns_received": 1, // 2024.08.13新增 "hmos_hmpns_sent": 1, // 2024.08.13新增 "hmos_msg_received": 1, // 2024.08.13新增 "hmos_msg_sent": 1 // 2024.08.13新增 }, {"msg_id":"1229760629", "jpush_received":56, "android_pns_sent":12, "android_pns_received":12, "ios_apns_sent":33, "ios_apns_received":17, "ios_msg_received": 3, "live_acivity_sent":0, "live_acivity_received":0, "wp_mpns_sent" : null, "quickapp_jpush_received": 1, "quickapp_pns_sent": 1, "hmos_hmpns_received": 1, // 2024.08.13新增 "hmos_hmpns_sent": 1, // 2024.08.13新增 "hmos_msg_received": 1, // 2024.08.13新增 "hmos_msg_sent": 1 // 2024.08.13新增 } ]
          < HTTP/1.1 200 OK 
< Content-Type: application/json
<
[
   {"msg_id":"1613113584",
    "jpush_received":62,
    "android_pns_sent":12,
    "android_pns_received":12, 
    "ios_apns_sent":11,
    "ios_apns_received":5,
    "ios_msg_received": 3,
    "live_acivity_sent":0,
    "live_acivity_received":0,
    "wp_mpns_sent" : 3,
    "quickapp_jpush_received":1,
    "quickapp_pns_sent": 1,
    "hmos_hmpns_received": 1,       // 2024.08.13新增
    "hmos_hmpns_sent": 1,           // 2024.08.13新增
    "hmos_msg_received": 1,          // 2024.08.13新增
    "hmos_msg_sent": 1              // 2024.08.13新增
    },

   {"msg_id":"1229760629",
    "jpush_received":56,
    "android_pns_sent":12,
    "android_pns_received":12,
    "ios_apns_sent":33,
    "ios_apns_received":17,
    "ios_msg_received": 3,
    "live_acivity_sent":0,
    "live_acivity_received":0, 
    "wp_mpns_sent" : null,
    "quickapp_jpush_received": 1,
    "quickapp_pns_sent": 1,
    "hmos_hmpns_received": 1,       // 2024.08.13新增
    "hmos_hmpns_sent": 1,           // 2024.08.13新增
    "hmos_msg_received": 1,         // 2024.08.13新增
    "hmos_msg_sent": 1              // 2024.08.13新增
    }
]

        
This code block is shown in the floating window

Return Parameters

JSON Array.

  • jpush_received JiguangNumber of channel user deliveries; including ordinaryAndroidUser notification + custom message delivery,iOSUser-defined message delivery; if there is no such data, it will be null。
  • android_pns_sent AndroidThe number of successful pushes by manufacturer users to the manufacturer server is calculated in the same way. AndroidThe number of successes of the manufacturer; if there is no such data, it will be null。
  • android_pns_received AndroidThe number of devices pushed by the manufacturer's users is calculated based on the manufacturer's callback data; if there is no such data, it will be null。20200324New indicator
  • ios_apns_sent iOS Notifications are pushed to APNs success. If there is no such data, it will be null。
  • ios_apns_received iOS The notification is delivered to the device and displayed successfully. If there is no item data, it is null. For statistics, please refer to Integration Guide Advanced Features-Notification Display Statistics
  • ios_msg_received iOS Custom message delivery number. If there is no such data, it will be null。
  • quickapp_jpush_received Quickly push the applicationJiguangThe number of users whose channel was successfully delivered to the device.
  • quickapp_pns_sent The number of users who successfully requested the quick app push through the manufacturer channel.
  • live_acivity_sent Real-time event messages are pushed toAPNsNumber of successful users.
  • live_acivity_received The number of users to whom real-time event messages were successfully delivered.
  • hmos_hmpns_sent The number of successes in pushing Hongmeng notifications to the manufacturer's server.20240813New indicator
  • hmos_hmpns_received The number of devices that Hongmeng notifications have been delivered to is calculated based on the manufacturer’s callback data.20240813New indicator
  • hmos_msg_sent The number of successes in pushing Hongmeng custom messages to the manufacturer's server.20240813New indicator
  • hmos_msg_received The number of devices that Hongmeng custom messages are delivered to, is calculated based on the manufacturer’s callback data.20240813New indicator

Delivery statistics (old)

Received API by msg_id as a parameter to get the msg_id delivery statistics.
if once API There are many objects when calling push (such as broadcast push), then this API The returned statistics will continue to increase as clients continue to be delivered.

This interface will no longer be maintained in the future, and it is recommended to switch to the new "Delivery Statistics Details" interface as soon as possible.

Calling address

GET /received

Request example

curl -v https://report.jpush.cn/v3/received?msg_ids=1613113584,1229760629 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1" < GET /v3/received?msg_ids=1613113584,1229760629 HTTP/1.1 < Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==
          curl -v https://report.jpush.cn/v3/received?msg_ids=1613113584,1229760629 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1"

< GET /v3/received?msg_ids=1613113584,1229760629 HTTP/1.1
< Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==

        
This code block is shown in the floating window

Request Parameters

  • msg_ids Push API returned msg_id list, multiple msg_id Separated by commas, up to 100 indivual msg_id。
  • Only push information within 28 days can be queried.

Return example

< HTTP/1.1 200 OK < Content-Type: application/json < [ {"msg_id":"1613113584", "android_received":62, "ios_apns_sent":11, "ios_apns_received":5, "ios_msg_received": 3, "wp_mpns_sent" : 3}, {"msg_id":"1229760629", "android_received":56, "ios_apns_sent":33, "ios_apns_received":17, "ios_msg_received": 3, "wp_mpns_sent" : null} ]
          < HTTP/1.1 200 OK 
< Content-Type: application/json
< 
[  {"msg_id":"1613113584",
    "android_received":62,
    "ios_apns_sent":11,
    "ios_apns_received":5,
    "ios_msg_received": 3, 
    "wp_mpns_sent" : 3},

   {"msg_id":"1229760629",
    "android_received":56,
    "ios_apns_sent":33,
    "ios_apns_received":17,
    "ios_msg_received": 3,  
    "wp_mpns_sent" : null}
]

        
This code block is shown in the floating window

Return Parameters

JSON Array.

  • android_received Android service. If there is no such data, it will be null。
  • ios_apns_sent iOS Notifications are pushed to APNs success. If there is no such data, it will be null。
  • ios_apns_received iOS The notification is delivered to the device and displayed successfully. If there is no item data, it is null. For statistics, please refer to Integration Guide Advanced Features-Notification Display Statistics
  • ios_msg_received iOS Custom message delivery number. If there is no such data, it will be null。

Delivery status query (VIP)

this API Used to query the delivery status of a pushed message on a group of devices. It is recommended to be used only as a troubleshooting tool. If you need more real-time user delivery/non-delivery status, you can use the "delivery/non-delivery" advanced function of the receipt. For details, please contact business

Calling address

POST /status/message

Request example

curl --insecure -X POST -v https://report.jpush.cn/v3/status/message -H "Content-Type: application/json" -u "29ea851419f747be7b5785a0:79f486970ec5c41bfe381bc3" -d '{ "msg_id": 327640176, "registration_ids":["1506bfd3a7c568d4761", "02078f0f1b8", "0207870a9b8"]}' > POST /v3/status/message HTTP/1.1 > Host: report.jpush.cn > Authorization: Basic MjllYTg1MTQxOWY3NDdiZTdiNTc4NWEwOjc5ZjQ4Njk3MGVjNMM0MWJmZTM4MWJjMw==
          curl --insecure -X POST -v https://report.jpush.cn/v3/status/message -H "Content-Type: application/json" -u "29ea851419f747be7b5785a0:79f486970ec5c41bfe381bc3" -d '{ "msg_id": 327640176, "registration_ids":["1506bfd3a7c568d4761", "02078f0f1b8", "0207870a9b8"]}'

> POST /v3/status/message HTTP/1.1
> Host: report.jpush.cn
> Authorization: Basic MjllYTg1MTQxOWY3NDdiZTdiNTc4NWEwOjc5ZjQ4Njk3MGVjNMM0MWJmZTM4MWJjMw==

        
This code block is shown in the floating window

Request Parameters

JSON Object

  • msg_id Must pass. Message id. Only one message id query is supported in one call.
  • registration_ids Must pass.JSON Array type, multipleregistration The ids are separated by commas. A maximum of ids can be supported in one call. 1000indivual.
  • date Optional. The specified date of the query, in the format yyyy-mm-dd, the default is the current day.
  • Only push information within 28 days can be queried.

Return example

Return successfully

HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8
          HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

        
This code block is shown in the floating window

return data

{ "02078f0f1b8": { "status": 2 }, "1507bfd3a7c568d4761": { "status": 0 }, "0207870a9b8": { "status": 2 } }
          {
    "02078f0f1b8": {
        "status": 2
    },
    "1507bfd3a7c568d4761": {
        "status": 0
    },
    "0207870a9b8": {
        "status": 2
    }
}

        
This code block is shown in the floating window

status meaning:

  • 0: delivered;
  • 1: Not delivered;
  • 2: registration_id does not belong to the application;
  • 3: registration_id Belongs to the app, but not to the article message push target;
  • 4: System abnormality.

Message statistics details (VIP-new)

and "Delivery Statistics" API The difference is that the API Provide more information about a msgid statistics.

Compared with the old "Message Statistics" interface, the data obtained by this interface is more detailed. It is recommended to switch to this interface as soon as possible.

If you need to open this interface, please contact:Business customer service

Calling address

GET /messages/detail

Request example

curl -v https://report.jpush.cn/v3/messages/detail?msg_ids=269978303 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1" > GET /v3/messages/detail?msg_ids=269978303 HTTP/1.1 > Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==
          curl -v https://report.jpush.cn/v3/messages/detail?msg_ids=269978303 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1"

> GET /v3/messages/detail?msg_ids=269978303 HTTP/1.1
> Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==

        
This code block is shown in the floating window

Request Parameters

  • msg_ids multiple msg_id Separated by commas, up to 100 indivual msg_id。
  • Only push information within 28 days can be queried.

Return example

< HTTP/1.1 200 OK < Content-Type: application/json < [ { "msg_id": "123456789", "details": {//2021.09.01新体系指标 "notification": {//通知栏消息汇总统计数据 "target": 1600, "sent": 1440, "received": 1280, "display": 1120, "click": 0, "sub_android": { //android平台各个通道统计数据 "jg_android": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "huawei": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "xiaomi": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "oppo": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "vivo": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "meizu": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "fcm": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "asus": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "tuibida": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "honor": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "nio": { //20250113 "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } }, "sub_ios": { "voip": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "apns": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } }, "sub_hmos": { // 20240813新增鸿蒙平台统计数据 "hmpns": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "jg_hmos": { // 20250804新增鸿蒙极光 "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } }, "sub_quickapp": { "quick_jg": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "quick_huawei": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "quick_xiaomi": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "quick_oppo": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } } }, "message": {//自定义消息汇总统计数据 "target": 700, "sent": 630, "received": 560, "display": 490, "click": 0, "sub_android": {//android平台各个通道统计数据 "jg_android": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "huawei": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "xiaomi": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "fcm": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "honor": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "nio": { //20250113 "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } }, "sub_ios": {//ios平台统计数据 "jg_ios": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 // iOS 由于其特殊性,自定义消息无点击指标统计,但会有此字段返回 } }, "sub_hmos": { 20240813新增鸿蒙平台统计数据 "hmpns": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 }, "jg_hmos": { // 20250804新增鸿蒙极光 "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } }, "sub_quickapp": {//qicukApp平台各个通道统计数据 "quick_jg": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } } }, "inapp": {//应用内提醒消息汇总统计数据 "target": 200, "sent": 180, "received": 160, "display": 140, "click": 0, "sub_android": {//android平台各个通道统计数据 "jg_android": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } }, "sub_ios": {//ios平台各个通道统计数据 "jg_ios": { "target": 100, "sent": 90, "received": 80, "display": 70, "click": 0 } } } }, //2021.09.01 前旧体系指标 "jpush": { "target": 100, "online_push": 90,// 该字段2021.09.01失效 "received": 80, "display": 70,// 20210817 新增展示数 "click": 0, "msg_click": 0 }, "android_pns": { "pns_target": 800, "pns_sent": 720, "pns_received": 640, "pns_display": 560,// 20210817 新增展示数 "xm_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "hw_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "mz_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "oppo_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "vivo_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "fcm_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "asus_detail": { "target": 100, "sent": 90, "received": 80, "display": 70 // 20210817 新增展示数 }, "honor_detail": {// 20220620 新增 "target": 100, "sent": 90, "received": 80, "display": 70 }, "nio_detail": {// 20250113 新增 "target": 100, "sent": 90, "received": 80, "display": 70 } }, "ios": { "apns_target": 100, "apns_sent": 90, "apns_received": 80, "apns_click": 70, "apns_display": 60,// 20210817 新增展示数 "msg_target": 100, "msg_received": 90, "msg_click": 0, // iOS 由于其特殊性,自定义消息无点击指标统计,但会有此字段返回 "msg_display": 90 // 20210817 新增展示数 }, "quickapp_jpush": {// 快应用推送走极光通道下发的统计指标:目标数、在线数、送达数、点击数、自定义点击数 "target": 100, "online_push": 0,// 该字段2021.09.01失效 "received": 80, "click": 0, "msg_click": 0 }, "quickapp_pns": {// 快应用推送走厂商通道下发的统计指标:目标数、成功数 "pns_target": 0, "pns_sent": 0 } } ] 实时活动消息返回字段: [ { "msg_id": "1613113584", "details": { "live_activity": { "target": 0, "sent": 0, "received": 0, "display": 0, "click": 0, "sub_ios": { "target": 0, "sent": 0, "received": 0, "display": 0, "click": 0 } } } } ]
          < HTTP/1.1 200 OK
< Content-Type: application/json
<
[
    {
        "msg_id": "123456789",
        "details": {//2021.09.01新体系指标
            "notification": {//通知栏消息汇总统计数据
                "target": 1600,
                "sent": 1440,
                "received": 1280,
                "display": 1120,
                "click": 0,
                "sub_android": { //android平台各个通道统计数据
                    "jg_android": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "huawei": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "xiaomi": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "oppo": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "vivo": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "meizu": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "fcm": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "asus": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "tuibida": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "honor": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "nio": {             //20250113
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                },
                "sub_ios": {
                    "voip": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "apns": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                },
                "sub_hmos": {             // 20240813新增鸿蒙平台统计数据
                    "hmpns": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "jg_hmos": {        // 20250804新增鸿蒙极光
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                },
                "sub_quickapp": {
                    "quick_jg": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "quick_huawei": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "quick_xiaomi": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "quick_oppo": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                }
            },
            "message": {//自定义消息汇总统计数据
                "target": 700,
                "sent": 630,
                "received": 560,
                "display": 490,
                "click": 0,
                "sub_android": {//android平台各个通道统计数据
                    "jg_android": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "huawei": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "xiaomi": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "fcm": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "honor": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "nio": {            //20250113
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                },
                "sub_ios": {//ios平台统计数据
                    "jg_ios": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0    // iOS 由于其特殊性,自定义消息无点击指标统计,但会有此字段返回
                    }
                },
                "sub_hmos": {        20240813新增鸿蒙平台统计数据
                    "hmpns": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    },
                    "jg_hmos": {        // 20250804新增鸿蒙极光
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                },
                "sub_quickapp": {//qicukApp平台各个通道统计数据
                    "quick_jg": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                }
            },
            "inapp": {//应用内提醒消息汇总统计数据
                "target": 200,
                "sent": 180,
                "received": 160,
                "display": 140,
                "click": 0,
                "sub_android": {//android平台各个通道统计数据
                    "jg_android": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                },
                "sub_ios": {//ios平台各个通道统计数据
                    "jg_ios": {
                        "target": 100,
                        "sent": 90,
                        "received": 80,
                        "display": 70,
                        "click": 0
                    }
                }
            }
        },

//2021.09.01 前旧体系指标
        "jpush": {
            "target": 100,
            "online_push": 90,// 该字段2021.09.01失效
            "received": 80,
            "display": 70,// 20210817 新增展示数
            "click": 0,
            "msg_click": 0
        },
        "android_pns": {
            "pns_target": 800,
            "pns_sent": 720,
            "pns_received": 640,
            "pns_display": 560,// 20210817 新增展示数
            "xm_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "hw_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "mz_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "oppo_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "vivo_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "fcm_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "asus_detail": {
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 // 20210817 新增展示数
            },
            "honor_detail": {// 20220620 新增
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 
            },
            "nio_detail": {// 20250113 新增
                "target": 100,
                "sent": 90,
                "received": 80,
                "display": 70 
            }
        },
        "ios": {
            "apns_target": 100,
            "apns_sent": 90,
            "apns_received": 80,
            "apns_click": 70,
            "apns_display": 60,// 20210817 新增展示数
            "msg_target": 100,
            "msg_received": 90,
            "msg_click": 0,  // iOS 由于其特殊性,自定义消息无点击指标统计,但会有此字段返回
            "msg_display": 90 // 20210817 新增展示数
        },
        "quickapp_jpush": {// 快应用推送走极光通道下发的统计指标:目标数、在线数、送达数、点击数、自定义点击数
            "target": 100,
            "online_push": 0,// 该字段2021.09.01失效
            "received": 80,
            "click": 0,
            "msg_click": 0
        },
        "quickapp_pns": {// 快应用推送走厂商通道下发的统计指标:目标数、成功数
            "pns_target": 0,
            "pns_sent": 0
        }
    }
]

实时活动消息返回字段:
[
    {
        "msg_id": "1613113584",
        "details": {
            "live_activity": {
                "target": 0,
                "sent": 0,
                "received": 0,
                "display": 0,
                "click": 0,
                "sub_ios": {
                    "target": 0,
                    "sent": 0,
                    "received": 0,
                    "display": 0,
                    "click": 0
                }
            }
        }
    }
]

        
This code block is shown in the floating window

Return to sample definition description

2022.12.22 Real-time activity metrics

  • msg_id Query message ID
  • details
    • live_activity: Real-time activity message life cycle status definition
      • target: Valid target summary, the target group selected for the push task, and the number of target devices after effectiveness filtering
      • sent:Send quantity summary, valid target device,JiguangThe number of devices that the server actually successfully created to send the task to
      • received: Summary of the delivery quantity. After the notification message is sent, the quantity actually delivered to the device terminal. The quantity delivered after 5 days is not included. Huawei, Honor, Meizu andiosIt is necessary to configure the callback delivery data to be more accurate.
      • display: Summary of the display quantity. After the notification message is delivered, the actual number of successful displays on the device terminal. The number of displays after 5 days is not included in the calculation.
      • click: Summary of the number of clicks. After the notification message is successfully displayed, the number of actual clicks by the user. The number of clicks after 5 days is not included in the calculation.
      • sub_ios: iOSPlatform statistical indicators
        • target: Valid target, the target group selected by the push task, the number of target devices after validity filtering
        • sent: Send quantity, valid target device,JiguangThe number of devices that the server actually successfully created to send the task to
        • received: Delivery quantity. After the notification message is sent, the quantity actually delivered to the device terminal. The quantity delivered after 5 days is not counted. Huawei, Honor, Meizu andiosIt is necessary to configure the callback delivery data to be more accurate.
        • display: Display quantity. After the notification message is delivered, the actual number is successfully displayed on the device terminal. The number of displays after 5 days is not included in the calculation.
        • click: Number of clicks. The number of actual clicks by users after the notification message is successfully displayed. The number of clicks after 5 days will not be counted.

2021.09.01New system indicators

  • msg_id Query message ID
  • details The same message may include different types such as notification bar messages, custom messages, and application reminder messages.
    • notification: Data summary statistics of notification bar message types
    • message: Data summary statistics of custom messages
    • inapp: Data summary statistics of in-app reminder messages + sub: For different types of messages, summarize statistics by platform and sending channel
    • Message life cycle state definition
      • target: Valid target, the target group selected by the push task, the number of target devices after validity filtering
      • sent: Send quantity, valid target device,JiguangThe number of devices that the server actually successfully created to send the task to
      • received: Delivery quantity. After the notification message is sent, the quantity actually delivered to the device terminal. The quantity delivered after 5 days is not counted. Huawei, Honor, Meizu andiosIt is necessary to configure the callback delivery data to be more accurate.
      • display: Display quantity. After the notification message is delivered, the actual number is successfully displayed on the device terminal. The number of displays after 5 days is not included in the calculation.
      • click: Number of clicks. The number of actual clicks by users after the notification message is successfully displayed. The number of clicks after 5 days will not be counted.

2021.09.01old system indicators

  • jpush Jiguangchannel statistics, goJiguangOrdinary ones issued by channelsAndroidUser notifications/custom messages and iOSOverall situation of user-defined messages

    • target valid target
    • sent Send quantity
    • received Delivery quantity
    • display Impression quantity
    • click Number of notification bar message clicks
    • msg_click Number of custom message clicks ( iOS Due to its particularity, custom messages do not have click indicator statistics, but this field will be returned)
  • android_pns AndroidManufacturer channel statistical data, use the manufacturer channel to deliver statistical data

    • pns_target Push the target number through the manufacturer channel

    • pns_sent Number of successes in pushing to the manufacturer channel

    • pns_received The number of devices pushed by the manufacturer,20200324New indicator

    • pns_display Impressions

    • xm_detail Push to Xiaomi channel details

      • target Xiaomi user target number
      • sent Number of successes in pushing to Xiaomi platform
      • received The number of devices delivered by Xiaomi channels,20200324New indicator
      • display Impressions
    • hw_detail Push to Huawei channel details

      • target Huawei user target number
      • sent Number of successes in pushing to Huawei platform
      • received The number of devices delivered by Huawei channels,20200324New indicator
      • display Impressions
    • honor_detail Push to Honor channel details,20220620New indicator

      • target Honor user target number
      • sent Number of successful pushes to the Honor platform
      • received Number of devices delivered by Honor channel
      • display Impressions
    • mz_detail Push to Meizu channel details

      • target Meizu user target number
      • sent Successful push to Meizu platform
      • received The number of devices delivered by Meizu channel,20200324New indicator
      • display Impressions
    • oppo_detail push toOPPOChannel details

      • target OPPONumber of user goals
      • sent push toOPPONumber of platform successes
      • received OPPOThe number of devices delivered by the channel,20200324New indicator
      • display Impressions
    • vivo_detail Push allVIVOChannel details

      • target VIVONumber of user goals
      • sent push toVIVONumber of platform successes
      • received VIVOThe number of devices delivered by the channel,20200324New indicator
      • display Impressions
    • fcm_detail push toFCMChannel details

      • target FCMNumber of user goals
      • sent push toFCMNumber of platform successes
      • received FCMThe number of devices delivered by the channel,20200324New indicator
      • display Impressions
    • nio_detail Push to NIO channel details,20250113New indicator

      • target NIO user target number
      • sent Number of successes in pushing to NIO platform
      • received Number of devices delivered by NIO channels
      • display Impressions
  • ios iOS Statistics

    • apns_target APNs Number of notification push targets
    • apns_sent APNs Number of notifications successfully pushed, sent toAPNsServer successful
    • apns_received APNs Number of notification impressions,APNs The server delivers it to the device and is displayed successfully. For statistics, please refer to Integration Guide Advanced Features-Notification Display Statistics
    • apns_display Impressions
    • apns_click Notification clicks
    • msg_target Custom message target number
    • msg_received Number of custom message delivery
    • msg_click Custom message clicks,iOS Due to its particularity, custom messages do not have click indicator statistics, but this field will be returned.
    • msg_display Impressions
  • quickapp_jpush QuickApp Statistics

    • target Number of push targets
    • online_push Number of online pushes
    • received Number of push deliveries
    • click Number of user clicks
    • msg_click Custom message clicks
  • quickapp_pns QuickApp Statistics

    • pns_target Push the target number through the manufacturer channel
    • pns_sent Number of successes in pushing to the manufacturer channel

Message Statistics (VIP-old)

and "Delivery Statistics" API The difference is that the API Provide more information about a msgid statistics.

This interface will no longer be maintained in the future, and it is recommended to switch to the new "Message Statistics Details" interface as soon as possible.

Calling address

GET /messages

Request example

curl -v https://report.jpush.cn/v3/messages?msg_ids=269978303 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1" > GET /v3/messages?msg_ids=269978303 HTTP/1.1 > Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==
          curl -v https://report.jpush.cn/v3/messages?msg_ids=269978303 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1"

> GET /v3/messages?msg_ids=269978303 HTTP/1.1
> Authorization: Basic N2Q0MzFlNDJkZmE2YTZkNjkzYWMyZDA0OjVlOTg3YWM2ZDJlMDRkOTVhOWQ4ZjBkMQ==

        
This code block is shown in the floating window

Request Parameters

  • msg_ids multiple msg_id Separated by commas, up to 100 indivual msg_id。
  • Only push information within 28 days can be queried.

Return example

< HTTP/1.1 200 OK < Content-Type: application/json < [ { "android": {"received":1,"target":4,"online_push":1,"click":null,"msg_click":null}, "ios": {"apns_sent":2,"apns_target":2,"apns_received":1,"click":null,"target":10,"received":8,"msg_click": 50}, "msg_id":"269978303" } ]
          < HTTP/1.1 200 OK
< Content-Type: application/json
<
[
  {
   "android":
      {"received":1,"target":4,"online_push":1,"click":null,"msg_click":null},

   "ios":
      {"apns_sent":2,"apns_target":2,"apns_received":1,"click":null,"target":10,"received":8,"msg_click": 50},

   "msg_id":"269978303"
  }
]

        
This code block is shown in the floating window

Return Parameters

JSON Array

  • msg_id Query message ID

  • android Android Statistics

    • target Number of push targets
    • online_push Number of online pushes
    • received Number of push deliveries
    • click Number of user clicks
    • msg_click Custom message clicks
  • ios iOS Statistics

    • apns_target APNsNumber of notification push targets
    • apns_sent APNSNumber of notification push successes
    • apns_received APNs Number of notification impressions, please refer to this item for statistics Integration Guide Advanced Features-Notification Display Statistics
    • click Number of user clicks
    • target Custom message target number
    • received Number of custom message delivery
    • msg_click Custom message clicks,iOS Due to its particularity, custom messages do not have click indicator statistics, but this field will be returned.

User Statistics (VIP)

Provide user-related statistical data for a certain time period in the past 2 months: new users, online users, and active users.
Time unit support:HOUR(Hour),DAY(sky),MONTH(moon).

If you need to open this interface, please contact:Business customer service

Calling address

GET /users

Request example

curl -v "https://report.jpush.cn/v3/users?time_unit=DAY&start=2014-06-10&duration=3" -u "dd1066407b044738b6479275:2b38ce69b1de2a7fa95706ea" > GET /v3/users?time_unit=DAY&start=2014-06-10&duration=3 HTTP/1.1 > Authorization: Basic ZGQxMDY2NDA3YjA0NDczOGI2NDc5Mjc1OjJiMzhjZTY5YjFkZTJhN2ZhOTU3MDZlYQ==
          curl -v "https://report.jpush.cn/v3/users?time_unit=DAY&start=2014-06-10&duration=3" -u "dd1066407b044738b6479275:2b38ce69b1de2a7fa95706ea"

> GET /v3/users?time_unit=DAY&start=2014-06-10&duration=3 HTTP/1.1
> Authorization: Basic ZGQxMDY2NDA3YjA0NDczOGI2NDc5Mjc1OjJiMzhjZTY5YjFkZTJhN2ZhOTU3MDZlYQ==

        
This code block is shown in the floating window

Request Parameters

  • time_unit time unit. There are three values:
    • HOUR Hour
    • DAY sky
    • MONTH moon
  • start Start time.
    • If the unit is hours, the starting time is hours (including days). Format example:2014-06-11 09
    • If the unit is days, the starting time is date (days). Format example:2014-06-11
    • If the unit is months, the starting time is the date (month). Format example:2014-06
  • duration Duration.
    • If the unit is days, the number of days it lasts. And so on.
    • Only supports querying user information within 60 days. time_unit for HOUR Yes, only the statistical results of the current day are supported.

Return example

< HTTP/1.1 200 OK < {"time_unit":"DAY","start":"2014-06-10","duration":3,"items":[{"time":"2024-08-13","hmos": {"active": 7,"new": 5,"online": 11}},{"time":"2014-06-11","android":{"active":1}},{"time":"2014-06-12","android":{"active":1,"online":2}}]}
          < HTTP/1.1 200 OK
<
{"time_unit":"DAY","start":"2014-06-10","duration":3,"items":[{"time":"2024-08-13","hmos": {"active": 7,"new": 5,"online": 11}},{"time":"2014-06-11","android":{"active":1}},{"time":"2014-06-12","android":{"active":1,"online":2}}]}

        
This code block is shown in the floating window

Return Parameters

JSON Object

  • time_unit The time unit at the time of the request.

  • start The starting time when requested.

  • duration The duration when requested.

  • items Obtained statistical data items. is a JSON Array。

    + new Add new user + online Online users + active active users
                + new Add new user
      + online Online users
      + active active users
    
            
    This code block is shown in the floating window

Group Statistics - Message Statistics (VIP)

and "Message Statistics Details (VIP Exclusive interface, new)" API The difference is that the API main basis group_msgids, providing direct data statistics results for group push.

If you need to open this interface, please contact:Business customer service

Note: This interface authentication uses base64(groupkey:group_secret)

groupkey It can be obtained from the created group information and can be used in the same way. appkey Similar, but when using it, add "group-" prefix,group_secret Corresponding to the group information Group Master Secret。

Calling address

GET /group/messages/detail

Request example

curl --insecure -X GET -v "https://report.jpush.cn/v3/group/messages/detail?group_msgids=bsp54sn8bpn8hc3etq40" -H "Content-Type: application/json" -u "group-9439ee12e91bd4c895d1b0f5:01bad4e44cecb42b36ea370a"
          curl --insecure -X GET -v "https://report.jpush.cn/v3/group/messages/detail?group_msgids=bsp54sn8bpn8hc3etq40" -H "Content-Type: application/json" -u "group-9439ee12e91bd4c895d1b0f5:01bad4e44cecb42b36ea370a"

        
This code block is shown in the floating window

Request Parameters

  • group_msgids Unique identifier for group push, multiple group_msgids Separate with commas, up to 10 supported group_msgids。
  • Only push information within 28 days can be queried.

Return example

< HTTP/2 200 < server: nginx < date: Tue, 11 Aug 2020 08:35:38 GMT < content-type: application/json [{"android_pns":{"fcm_detail":{"received":0,"sent":0,"target":0},"hw_detail":{"received":0,"sent":0,"target":0},"honor_detail":{"received":0,"sent":0,"target":0},"mz_detail":{"received":0,"sent":0,"target":0},"oppo_detail":{"received":0,"sent":0,"target":0},"pns_received":1,"pns_sent":1,"pns_target":1,"vivo_detail":{"received":0,"sent":0,"target":0},"xm_detail":{"received":1,"sent":1,"target":1},"nio_detail":{"received":0,"sent":0,"target":0}},"group_msgid":"bsp54sn8bpn8hc3etq40","ios":{"apns_click":0,"apns_received":0,"apns_sent":0,"apns_target":0,"msg_click":0,"msg_received":0,"msg_target":0},"jpush":{"click":0,"msg_click":0,"online_push":2,"received":2,"target":14}}]
          < HTTP/2 200 
< server: nginx
< date: Tue, 11 Aug 2020 08:35:38 GMT
< content-type: application/json
[{"android_pns":{"fcm_detail":{"received":0,"sent":0,"target":0},"hw_detail":{"received":0,"sent":0,"target":0},"honor_detail":{"received":0,"sent":0,"target":0},"mz_detail":{"received":0,"sent":0,"target":0},"oppo_detail":{"received":0,"sent":0,"target":0},"pns_received":1,"pns_sent":1,"pns_target":1,"vivo_detail":{"received":0,"sent":0,"target":0},"xm_detail":{"received":1,"sent":1,"target":1},"nio_detail":{"received":0,"sent":0,"target":0}},"group_msgid":"bsp54sn8bpn8hc3etq40","ios":{"apns_click":0,"apns_received":0,"apns_sent":0,"apns_target":0,"msg_click":0,"msg_received":0,"msg_target":0},"jpush":{"click":0,"msg_click":0,"online_push":2,"received":2,"target":14}}]

        
This code block is shown in the floating window

Return Parameters

JSON Array

  • group_msgids Query group push message ID

  • jpush Jiguangchannel statistics, goJiguangOrdinary ones issued by channelsAndroidUser notifications/custom messages and iOSThe overall situation of user-defined messages and Hongmeng usersJiguangNotifications/custom messages sent by the channel

    • target Number of push targets
    • online_push Number of online pushes
    • received Number of push deliveries
    • click Number of user clicks
    • msg_click Custom message clicks
  • android_pns AndroidManufacturer channel statistical data, use the manufacturer channel to deliver statistical data

    • pns_target Push the target number through the manufacturer channel
    • pns_sent Number of successes in pushing to the manufacturer channel
    • pns_received Number of devices pushed by the manufacturer
    • xm_detail Push to Xiaomi channel details
      • target Xiaomi user target number
      • sent Number of successes in pushing to Xiaomi platform
      • received Number of devices delivered by Xiaomi channels
    • hw_detail Push to Huawei channel details
      • target Huawei user target number
      • sent Number of successes in pushing to Huawei platform
      • received Number of devices delivered by Huawei channels
    • honor_detail Push to Honor channel details
      • target Honor user target number
      • sent Number of successful pushes to the Honor platform
      • received Number of devices delivered by Honor channel
    • mz_detail Push to Meizu channel details
      • target Meizu user target number
      • sent Successful push to Meizu platform
      • received Number of devices delivered by Meizu channel
    • oppo_detail push toOPPOChannel details
      • target OPPONumber of user goals
      • sent push toOPPONumber of platform successes
      • received OPPONumber of devices delivered by channel
    • vivo_detail Push allVIVOChannel details
      • target VIVONumber of user goals
      • sent push toVIVONumber of platform successes
      • received VIVONumber of devices delivered by channel
    • fcm_detail push toFCMChannel details
      • target FCMNumber of user goals
      • sent push toFCMNumber of platform successes
      • received FCMNumber of devices delivered by channel
    • nio_detail Push to NIO channel details,20250113New indicator
      • target NIO user target number
      • sent Number of successes in pushing to NIO platform
      • received Number of devices delivered by NIO channels
  • ios iOS Statistics

    • apns_target APNs Number of notification push targets
    • apns_sent APNs Number of notifications successfully pushed, sent toAPNsServer successful
    • apns_received APNs Number of notification impressions,APNs The server delivers it to the device and is displayed successfully. For statistics, please refer to Integration Guide Advanced Features-Notification Display Statistics
    • apns_click Notification clicks
    • msg_target Custom message target number
    • msg_received Number of custom message delivery
    • msg_click Custom message clicks,iOS Due to its particularity, custom messages do not have click indicator statistics, but this field will be returned.
  • hmos Statistics 20240813New indicator

    • hmpns_target Hongmeng notification push target number
    • hmpns_sent Number of Hongmeng notifications successfully pushed, sent toAPNsServer successful
    • hmpns_received Hongmeng notification delivery number,APNs The server delivers it to the device and is displayed successfully. For statistics, please refer to Integration Guide Advanced Features-Notification Display Statistics
    • hmpns_click Hongmeng notification clicks
    • msg_target Hongmeng custom message target number
    • msg_received Hongmeng custom message delivery number
    • msg_click Number of Hongmeng custom message clicks,iOS Due to its particularity, custom messages do not have click indicator statistics, but this field will be returned.

Group Statistics-User Statistics (VIP)

For grouped applications, provide user-related statistical data for a certain time period in the past month: new users, online users, and active users.
Time unit support:HOUR(Hour),DAY(sky),MONTH(moon).

If you need to open this interface, please contact:Business customer service

Note: This interface authentication uses base64(groupkey:group_secret)

groupkey It can be obtained from the created group information and can be used in the same way. appkey Similar, but when using it, add "group-" prefix,group_secret Corresponding to the group information Group Master Secret。

Calling address

GET /group/users

Request example

curl -v "https://report.jpush.cn/v3/group/users?time_unit=day&start=2020-08-06&duration=2" -u "group-9439ee12e91bd4c895d1b0f5:01bad4e44cecb42b36ea370a"
          curl -v "https://report.jpush.cn/v3/group/users?time_unit=day&start=2020-08-06&duration=2" -u "group-9439ee12e91bd4c895d1b0f5:01bad4e44cecb42b36ea370a"

        
This code block is shown in the floating window

Request Parameters

  • time_unit time unit. There are three values:
    • HOUR Hour
    • DAY sky
    • MONTH moon
  • start Start time.
    • If the unit is hours, the starting time is hours (including days). Format example:2020-08-11 09
    • If the unit is days, the starting time is date (days). Format example:2020-08-11
    • If the unit is months, the starting time is the date (month). Format example:2020-08
  • duration Duration.
    • If the unit is days, the number of days it lasts. And so on.
    • Only supports querying user information within 30 days. time_unit for HOUR Yes, only the statistical results of the current day are supported.

Return example

< HTTP/2 200 < server: nginx < date: Tue, 11 Aug 2020 08:26:53 GMT < content-type: application/json {"duration":2,"items":[{"android":{"active":7,"new":5,"online":11},"time":"2020-08-06"},{"android":{"active":6,"new":2,"online":8},"time":"2020-08-07"},{"hmos": {"active": 7,"new": 5,"online": 11},"time": "2020-08-06"}],"start":"2020-08-06","time_unit":"day"}
          < HTTP/2 200 
< server: nginx
< date: Tue, 11 Aug 2020 08:26:53 GMT
< content-type: application/json
{"duration":2,"items":[{"android":{"active":7,"new":5,"online":11},"time":"2020-08-06"},{"android":{"active":6,"new":2,"online":8},"time":"2020-08-07"},{"hmos": {"active": 7,"new": 5,"online": 11},"time": "2020-08-06"}],"start":"2020-08-06","time_unit":"day"}

        
This code block is shown in the floating window

Return Parameters

JSON Object

  • time_unit The time unit at the time of the request.

  • start The starting time when requested.

  • duration The duration when requested.

  • items Obtained statistical data items. is a JSON Array。

    • new Add new user

    • online Online users

    • active active users

error code

Error code definition

Code describe Detailed explanation
10 System internal error System internal error
2003 Not authorized to use this interface must be corrected
3001 HTTP Basic authorization fail. Check, pleaseCall verification,Appkey and MasterSecret correctness
3004 time_unit and start Parameter values ​​do not match must be corrected
3005 For a single application, only user information within 60 days can be queried; for grouped applications, only user information within 30 days can be queried.
3006 Parameter error Lack start_date Field
3007 Illegal parameter Check whether the time field format is correct; the end time must be later than the start time; the end time does not support future times.

Return example

< HTTP/1.1 401 Unauthorized < Content-Type: application/json < { "error": { "code": 3001, "message": "Basic authentication failed" } }
          < HTTP/1.1 401 Unauthorized
< Content-Type: application/json
<
{ 
  "error": {
        "code": 3001, 
        "message": "Basic authentication failed"
     }
}

        
This code block is shown in the floating window

Reference documentation:HTTP-Status-Code

Was this document helpful?

Copyright 2011-2026, jiguang.cn, All Rights Reserved. 粤ICP备12056275号-13 Shenzhen Hexun Huagu Information Technology Co., Ltd.

Open in Docs Center